<?php
/**
rb-forms
Version: 1.0
By Upzilla.co Team

Contact: https://www.upzilla.co/rb-forms/
Created: 2022
Licensed under the GPLv2 license - http://opensource.org/licenses/gpl-2.0.php

Copyright (c) 2022, Upzilla.co All rights reserved.
Available only in https://www.upzilla.co
https://www.upzilla.co
 **/

namespace upz\rbforms;

if (!defined('WPINC')) {
    exit;
}

class Config
{
    const PREFIX         = 'rbforms';
    const PREFIX_VERSION = 'v1';

    const KEY_OPTIONS = 'rbforms_options';

    const FORM_OPTIONS = array(
        'fields'    => array(),
        'useDialog' => false,
    );

    const DEFAULT_FORM_OPTIONS = array(
        'fields'             => array(
            'name',
            'message',
            'subject',
            'agreement',
        ),
        'useDialog'          => false,
        'buttonWithText'     => false,
        'buttonLabel'        => '',
        'buttonIcon'         => 'EmailRounded',
        'buttonColor'        => 'success',
        'buttonSize'         => 'medium',
        'dialogTitle'        => 'Contact Us',
        'dialogDesc'         => '',
        'dialogButtonClose'  => "Close",
        'dialogButtonSubmit' => "Submit",

        'notification'       => false,
        'mailSubject'        => 'The form {id} - {title} has been submitted',
        'mailText'           => 'Form {id} - {title} has been submitted with the data {data}',
        'mailTo'             => '',

    );

    const SENT_STATUS = array(
        0  => "Awaiting to be sent",
        1  => "Not sent due to an error",
        2  => "The message has been sent",
        3  => "Turned off in the settings",

        -1 => "Sending is not configured in WordPress or is not possible for other reasons. Please contact support.",
    );

    const FIELDS = array(
        'name',
        'message',
    );

    // function __construct()
    // {
    //     $this->init();
    //     $this->hooks();
    // }

    // function hooks()
    // {

    // }
    // function init()
    // {

    // }

    public static function getOptionName($name)
    {
        return self::PREFIX . '_' . $name;
    }

    public static function getAssetName($name)
    {
        return self::PREFIX . '-' . $name;
    }
}
