<?php
/**
rb-forms
Version: 1.0
By Upzilla.co Team

Contact: https://www.upzilla.co/rb-forms/
Created: 2022
Licensed under the GPLv2 license - http://opensource.org/licenses/gpl-2.0.php

Copyright (c) 2022, Upzilla.co All rights reserved.
Available only in https://www.upzilla.co
https://www.upzilla.co
 **/

namespace upz\rbforms;

if (!defined('WPINC')) {
    exit;
}

class Cron
{

    public function __construct()
    {
        $this->init();
        $this->hooks();
    }

    public function init()
    {
       // $this->rbforms_activation();
    }

    public function hooks()
    {
        add_filter('cron_schedules', array($this, 'add_cron_interval'));

        register_activation_hook(RB_FORMS_FILE, array($this, 'rbforms_activation'));

        register_deactivation_hook(RB_FORMS_FILE, array($this, 'rbforms_deactivate'));
    }

    function rbforms_activation()
    {
        if (wp_next_scheduled('rbforms_cron_hook')) {
            return;
        }
        wp_schedule_event(time(), 'every_minute', 'rbforms_cron_hook');
    }

    public function rbforms_deactivate()
    {
        $timestamp = wp_next_scheduled('rbforms_cron_hook');
        wp_unschedule_event($timestamp, 'rbforms_cron_hook');
    }

    public function add_cron_interval($schedules)
    {
        $schedules['every_minute'] = array(
            'interval' => 60,
            'display'  => esc_html__('Every minute'),
        );
        return $schedules;
    }
}

new Cron();
