<?php
/**
rb-forms
Version: 1.0
By Upzilla.co Team

Contact: https://www.upzilla.co/rb-forms/
Created: 2022
Licensed under the GPLv2 license - http://opensource.org/licenses/gpl-2.0.php

Copyright (c) 2022, Upzilla.co All rights reserved.
Available only in https://www.upzilla.co
https://www.upzilla.co
 **/

namespace upz\rbforms;

if (!defined('WPINC')) {
    exit;
}
class CustomTypePost
{

    public function __construct()
    {
        $this->init();
        $this->hooks();
    }

    public function init()
    {
    }

    public function hooks()
    {
        add_action('init', array($this, 'create_custom_type_post'));
    }

    public function create_custom_type_post()
    {

        $labels = array(
            'name'                  => _x('RB Forms', 'post type general name'),
            'singular_name'         => _x('Rb Form', 'post type singular name'),

            'view_item'             => __('View RB Form'),
            'view_items'            => __('View RB Forms'),
            'search_items'          => __('Search Forms'),
            'not_found'             => __('No RB Form found'),
            'not_found_in_trash'    => __('No RB Form found in the Trash'),
            'parent_item_colon'     => '',

            'menu_name'             => __('RB Forms'),
            'name_admin_bar'        => __('RB Forms'),
            'add_new'               => _x('Add New', 'form'),
            'add_new_item'          => __('Add New RB Form'),
            'edit_item'             => __('Edit RB Form'),
            'new_item'              => __('New RB Form'),
            'all_items'             => __('All Forms'),
            'update_item'           => 'Update Form',

            'items_list'            => 'Services list',
            'items_list_navigation' => 'Services list navigation',
            'filter_items_list'     => 'Filter services list',

            'attributes'            => 'Form Attributes',
            'insert_into_item'      => 'Insert into Form',
            'uploaded_to_this_item' => 'Uploaded to this Form',

        );

        $args = array(
            'labels'        => $labels,
            'description'   => 'RB Forms',
            'public'        => true,

            'menu_position' => 5,
            'menu_icon'   => 'dashicons-email-alt', #TODO 

            'supports'      => array('title'), //, 'editor', 'thumbnail', 'excerpt', 'comments'
            'has_archive' => false,
            'rewrite'       => array('slug' => 'rbforms', 'with_front' => true),
            'hierarchical'  => false,

            'capabilities'  => array(
                //    'create_posts' => 'do_not_allow', // Removes support for the "Add New" function ( use 'do_not_allow' instead of false for multisite set ups )
                //     'create_posts' => false, // Removes support for the "Add New" function ( use 'do_not_allow' instead of false for multisite set ups )
            ),
            'map_meta_cap'  => true, // Set to `false`, if users are not allowed to edit/delete existing posts
        );
        register_post_type(RB_FORMS_TYPE_POST_FORMS, $args);

        $args_rows = array(
            'labels'        => array(
                'name' => _x('RB Form Rows', 'post type general name'),
            ),
            'description'   => 'Holds RB Form rows data',
            'public'        => false,
            'menu_position' => 5,
            'supports'      => array('title'), //, 'editor', 'thumbnail', 'excerpt', 'comments'
            'has_archive' => false,
            'rewrite'       => array('slug' => 'rbforms-rows', 'with_front' => false),
            'hierarchical'  => false,

            'capabilities'  => array(
                'create_posts' => 'do_not_allow', // Removes support for the "Add New" function ( use 'do_not_allow' instead of false for multisite set ups )
                'create_posts' => false, // Removes support for the "Add New" function ( use 'do_not_allow' instead of false for multisite set ups )
            ),
        );
        register_post_type(RB_FORMS_TYPE_POST_ROWS, $args_rows);

    }


}

new CustomTypePost();
