<?php
/**
rb-forms
Version: 1.0
By Upzilla.co Team

Contact: https://www.upzilla.co/rb-forms/
Created: 2022
Licensed under the GPLv2 license - http://opensource.org/licenses/gpl-2.0.php

Copyright (c) 2022, Upzilla.co All rights reserved.
Available only in https://www.upzilla.co
https://www.upzilla.co
 **/

namespace upz\rbforms;

if (!defined('WPINC')) {
    exit;
}

class Update
{
    private $curVersion = "0.0.0";
    private $newVersion = "0.0.0";
    
    private $needUpdate = false;    

    function __construct()
    {
        $this->init();
        $this->hooks();
    }

    function hooks()
    {
        add_action('wp_loaded', array($this, 'after_install_refresh'));
    }

    function init()
    {
        $this->curVersion = get_option( Config::getOptionName('installVersion'), 0 );
        $this->newVersion = RB_FORMS_VERSION;

		if( $this->curVersion != RB_FORMS_VERSION ){
			update_option( Config::getOptionName('installDate'), time() );
			update_option( Config::getOptionName('installVersion'), RB_FORMS_VERSION );
		}

		if( $this->curVersion != $this->newVersion )  $this->needUpdate = true;

		if( $this->needUpdate ){
			update_option( Config::getOptionName('afterInstall'), '1' );		
			$this->updateHandler();
		}
    }

    public function after_install_refresh()
    {
        if (!get_option( Config::getOptionName('afterInstall'), false)) {
            return;
        }

        update_option( Config::getOptionName('afterInstall'), false);
        global $wp_rewrite;
        $wp_rewrite->flush_rules();
    }

    private function updateHandler(){
        /*  run */
    }
}
new Update();