<?php
/**
 * Plugin Name:       forms-rb
 * Description:       Simple and very flexible forms plugin. With forms builder, contact form, and much more functions.
 * Requires at least: 5.3
 * Requires PHP:      5.6.20
 * Version:           1.1.6
 * Author:            The Upzilla Team
 * License:           GPL-2.0-or-later
 * License URI:       https://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain:       forms-rb
 *
 * @package           forms-rb
 */

class rbForms
{

    public function __construct()
    {
        $this->init();
        $this->hooks();
    }

    public function init()
    {
        define("RB_FORMS_FILE", __FILE__);

        define("RB_FORMS_VERSION", '1.1.6');
        define("RB_FORMS_TYPE_POST_FORMS", 'rbforms_forms');
        define("RB_FORMS_TYPE_POST_ROWS", 'rbforms_rows');
        define("RB_FORMS_ASSETS_PREFIX", 'rbforms_assets_');

        define("RB_FORMS_APP_PATH", plugin_dir_path(__FILE__) . 'app/');
        

        include_once RB_FORMS_APP_PATH . 'type.post.php';

        include_once RB_FORMS_APP_PATH . 'config.php';
        include_once RB_FORMS_APP_PATH . 'update.php';

        include_once RB_FORMS_APP_PATH . 'cron.php';

        include_once RB_FORMS_APP_PATH . 'notification.php';

        include_once RB_FORMS_APP_PATH . 'listing.php';

        include_once RB_FORMS_APP_PATH . 'form/form.php';
        include_once RB_FORMS_APP_PATH . 'records/records.php';
        include_once RB_FORMS_APP_PATH . 'api.php';
       
    }

    public function hooks()
    {
    }

    public static function logs($messages)
    {
        if (is_array($messages) || is_object($messages)) {
            error_log(print_r($messages, true));
        } else {
            error_log($messages);
        }
    }

}

new rbForms();
